Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tunnelCredentials.createBridge();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"displayName": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges"
payload = {
"description": "<string>",
"displayName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', displayName: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bridge": {
"appliance": {
"announcedServiceCount": 123,
"lastSeenAt": "2023-11-07T05:31:56Z",
"links": [
{
"avgRtt": "<string>",
"leaseExpiresAt": "2023-11-07T05:31:56Z",
"relayAddress": "<string>",
"relayId": "<string>"
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Tunnel
Create Bridge
CreateBridge creates a bridge with no credentials. Use CreateBridgeCredential to mint the first credential.
POST
/
api
/
v1
/
iam
/
tunnel
/
bridges
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tunnelCredentials.createBridge();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
Response
200 - application/json
Successful response
The TunnelCredentialsServiceCreateBridgeResponse message.
TunnelBridge is the API view of a bridge — the customer-facing entity for managing a wormhole tunnel appliance.
Show child attributes
Show child attributes
Was this page helpful?
⌘I